diff --git a/scripts/sadt b/scripts/sadt
--- a/scripts/sadt
+++ b/scripts/sadt
@@ -26,7 +26,6 @@
 import queue as queuemod
 import re
 import shutil
-import stat
 import subprocess as ipc
 import sys
 import tempfile
@@ -34,15 +33,6 @@
 
 import debian.deb822 as deb822
 
-def chmod_x(path):
-    '''
-    chmod a+X <path>
-    '''
-    old_mode = stat.S_IMODE(os.stat(path).st_mode)
-    new_mode = old_mode | ((old_mode & 0o444) >> 2)
-    if old_mode != new_mode:
-        os.chmod(path, new_mode)
-
 def annotate_output(child):
     queue = queuemod.Queue()
     def reader(fd, tag):
@@ -246,6 +236,10 @@
 
     def run(self, test, progress, ignored_restrictions=(), rw_build_tree=None, built_source_tree=None):
         progress.start(test)
+        path = os.path.join(self.tests_directory, test)
+        if not os.access(path, os.X_OK):
+            progress.skip('{path} is not executable'.format(path=path))
+            return
         ignored_restrictions = set(ignored_restrictions)
         if rw_build_tree:
             ignored_restrictions.add('rw-build-tree')
@@ -269,7 +263,6 @@
 
     def _run(self, test, progress, allow_stderr=False):
         path = os.path.join(self.tests_directory, test)
-        chmod_x(path)
         tmpdir1 = tempfile.mkdtemp(prefix='sadt.')
         tmpdir2 = tempfile.mkdtemp(prefix='sadt.')
         environ = dict(os.environ)
diff --git a/scripts/sadt.pod b/scripts/sadt.pod
--- a/scripts/sadt.pod
+++ b/scripts/sadt.pod
@@ -39,6 +39,9 @@
 B<sadt> doesn't implement any virtualisation arrangements, therefore it skips
 tests that declare the B<breaks-testbed> restriction.
 
+B<sadt> doesn't change the test files permissions; it skips tests that don't
+have the executable bits set.
+
 =head1 OPTIONS
 
 =over 4
